curl --request POST \
--url https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/*+json' \
--data '
{
"filters": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"skillId": "<string>",
"transactionId": "<string>"
},
"sendEmailNotification": true
}
'import requests
url = "https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps"
payload = {
"filters": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"skillId": "<string>",
"transactionId": "<string>"
},
"sendEmailNotification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*+json'},
body: JSON.stringify({
filters: {
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
skillId: '<string>',
transactionId: '<string>'
},
sendEmailNotification: true
})
};
fetch('https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Créer une exportation des étapes de transaction
Lance une exportation CSV asynchrone des données des étapes de transaction depuis l’Entrepôt de rapports sur le traitement métier. La réponse renvoie un requestId, que vous utilisez pour interroger le statut de l’exportation et télécharger les fichiers de résultat une fois l’exportation terminée avec succès. Pour le flux de travail complet et la référence des colonnes CSV, consultez Business Processing Reporting.
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Corps
Réponse
OK
Réponse renvoyée après la création d’une demande d’exportation des étapes de transaction. Contient l’ID de demande utilisé pour interroger le statut de l’exportation et télécharger les fichiers de résultat.
Identifiant unique de la demande de génération de rapport. Transmettez-le aux points de terminaison de statut et de résultat.
Cette page vous a-t-elle été utile ?
